SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Dell OpenManage Vendors:   Dell
Dell OpenManage Server Administrator Input Validation Flaw Lets Remote Authenticated Users View Files on the Target System
SecurityTracker Alert ID:  1035564
SecurityTracker URL:  http://securitytracker.com/id/1035564
CVE Reference:   CVE-2016-4004   (Links to External Site)
Date:  Apr 13 2016
Impact:   Disclosure of system information, Disclosure of user information
Exploit Included:  Yes  
Version(s): OMSA 8.2
Description:   A vulnerability was reported in Dell OpenManage Server Administrator. A remote authenticated 'admin' user can obtain files on the target system.

The 'file' parameter of the 'ViewFile' function does not properly validate user-supplied input. A remote authenticated 'admin' user can send specially crafted data to view arbitrary files on the target system.

A demonstration exploit URL is provided:

https://[target]:1311/0123456789ABCDEF/ViewFile?path=\temp&file=hello\..\..\..\..\..\..\..\..\Windows\WindowsUpdate.log&vid=0123456789ABCDEF

The original advisory is available at:

https://www.exploit-db.com/exploits/39486/

hantwister reported this vulnerability.

Impact:   A remote authenticated 'admin' user can obtain files on the target system.
Solution:   No solution was available at the time of this entry.
Vendor URL:  www.dell.com/ (Links to External Site)
Cause:   Access control error, Input validation error

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC